#!/usr/bin/python3

from time import sleep
from lib.setup import import_config_file
from lib.authentication import authenticate_twitter
from lib.archival import twitter_archive_stream

def main():
    config = import_config_file()
    twitter_api = authenticate_twitter(config)
    authenticated_user = twitter_api.GetUser(screen_name=config['authenticated_user'])
    twitter_archive_stream(twitter_api, authenticated_user)


if(__name__ == '__main__'):
    main()
